import { PlatformContext } from './qualifier-matcher';
import { ModuleNameResolverType, ModuleListProvider } from './helpers';
export type { PlatformContext } from './qualifier-matcher';
export declare class ModuleNameResolver implements ModuleNameResolverType {
    private context;
    private moduleListProvider;
    private _cache;
    constructor(context: PlatformContext, moduleListProvider?: ModuleListProvider);
    resolveModuleName(path: string, ext: string): string;
    clearCache(): void;
    private resolveModuleNameImpl;
    private getCandidates;
}
export declare function resolveModuleName(path: string, ext: string): string;
